import 'dart:convert';

SubmitTransactionResponseModel submitTransactionResponseModelFromJson(String str) => SubmitTransactionResponseModel.fromJson(json.decode(str));

String submitTransactionResponseModelToJson(SubmitTransactionResponseModel data) => json.encode(data.toJson());

class SubmitTransactionResponseModel {
  final String tranId;

  SubmitTransactionResponseModel({
    required this.tranId,
  });

  SubmitTransactionResponseModel copyWith({
    String? tranId,
  }) =>
      SubmitTransactionResponseModel(
        tranId: tranId ?? this.tranId,
      );

  factory SubmitTransactionResponseModel.fromJson(Map<String, dynamic> json) => SubmitTransactionResponseModel(
    tranId: json["tranID"],
  );

  Map<String, dynamic> toJson() => {
    "tranID": tranId,
  };
}
